com.impinj.octane

## Enum TagFilterVerificationMode

- java.lang.Object
- - java.lang.Enum<TagFilterVerificationMode>
  - - com.impinj.octane.TagFilterVerificationMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TagFilterVerificationMode>

      public enum TagFilterVerificationMode
      extends java.lang.Enum<TagFilterVerificationMode>

  Provides the options available for setting the Tag Filter Verification Mode. It wraps the equivalent LTK type ImpinjTagFilterVerificationMode

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Active` Set to Active to enable tag filter verification, including automatic halting for access operations when required to validate the filter mask defined by the inventory Select configuration.
    `Disabled` Set to Disabled to completely bypass tag filter verification and rely solely on Select-based filtering by the tag.
    `Passive` Set to Passive to enable tag filter verification using only information contained in inventory Ack replies, bypassing validation if the filter configuration would require halting for access operations.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static TagFilterVerificationMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TagFilterVerificationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Disabled

          public static final TagFilterVerificationMode Disabled

      Set to Disabled to completely bypass tag filter verification and rely solely on Select-based filtering by the tag.

    - #### Active

          public static final TagFilterVerificationMode Active

      Set to Active to enable tag filter verification, including automatic halting for access operations when required to validate the filter mask defined by the inventory Select configuration.

    - #### Passive

          public static final TagFilterVerificationMode Passive

      Set to Passive to enable tag filter verification using only information contained in inventory Ack replies, bypassing validation if the filter configuration would require halting for access operations.

  - ### Method Detail

    - #### values

          public static TagFilterVerificationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TagFilterVerificationMode c : TagFilterVerificationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TagFilterVerificationMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Returns:
        the enumeration as an integer value